main,
header {
  max-width: 680px;
  margin: auto;
}

li a {
  color: var(--link-color);
}

li a:hover {
  text-decoration: none;
}

.pad {
  margin-left: 10px;
}

html,
body,
.container {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

h1 {
  margin-top: 0;
}

.container {
  padding: 20px;
  overflow: auto;
  background: var(--body-background);
  color: var(--body-color);
}

.btn {
  display: inline-block;
  margin-top: 10px;
  padding: 10px;
  font-size: 16px;
  cursor: default;
  color: var(--btn-color);
  text-decoration: none;

  border-radius: 50px;
  background: hsl(
    var(--btn-background-hue),
    var(--btn-background-sat),
    var(--btn-background-light)
  );
  box-shadow:
    4px 4px 8px var(--shadow-color1),
    -4px -4px 8px var(--shadow-color2),
    inset 2px 2px rgba(0, 0, 0, 0.1);
}

.btn:hover {
  outline: none;
  background: hsl(
    var(--btn-background-hue),
    var(--btn-background-sat),
    calc(var(--btn-background-light) + 6%)
  );
}

.btn:active {
  outline: none;
  background: hsl(
    var(--btn-background-hue),
    var(--btn-background-sat),
    calc(var(--btn-background-light) - 6%)
  );
}

ol {
  border-radius: 16px;
  padding: 14px 20px 14px 50px;
  box-shadow:
    inset 7px 7px 14px var(--shadow-color1),
    inset -7px -7px 14px var(--shadow-color2);
}

#theme-switcher {
  display: none;
}

header::after {
  content: "";
  clear: both;
  display: table;
}

header > h1 {
  float: left;
}

header > label {
  float: right;
}

.container {
  --body-background: #ced8de;
  --body-color: black;
  --btn-color: black;
  --btn-background-hue: 260;
  --btn-background-sat: 25%;
  --btn-background-light: 84%;
  --shadow-color1: #afb8bd;
  --shadow-color2: #edf8ff;
  --link-color: #5555ff;
}

#theme-switcher:checked ~ .container {
  --body-background: #4a454f;
  --body-color: white;
  --btn-color: white;
  --btn-background-hue: 283;
  --btn-background-sat: 9%;
  --btn-background-light: 30%;
  --shadow-color1: #3f3b43;
  --shadow-color2: #554f5b;
  --link-color: #a0a0de;
}

@media (prefers-color-scheme: dark) {
  .container {
    --body-background: #4a454f;
    --body-color: white;
    --btn-color: white;
    --btn-background-hue: 283;
    --btn-background-sat: 9%;
    --btn-background-light: 30%;
    --shadow-color1: #3f3b43;
    --shadow-color2: #554f5b;
    --link-color: #a0a0de;
  }

  #theme-switcher:checked ~ .container {
    --body-background: #ced8de;
    --body-color: black;
    --btn-color: black;
    --btn-background-hue: 260;
    --btn-background-sat: 25%;
    --btn-background-light: 84%;
    --shadow-color1: #afb8bd;
    --shadow-color2: #edf8ff;
    --link-color: #5555ff;
  }
}
